Unable to install from Software Boutique

cant install any software from Software Boutique get an error that says “Package Dependencies could not be resolved”

Tried installing App Grid, got error msg–

“This error could be caused by required additional software packages which are missing or not installable. Furthermore there could be a conflict between software packages which are not allowed to be installed at the same time.”

running Mate 32bit

while installing Ubuntu Software Center get the following error msg–

“Package does not exist
Check the spelling of the package name, and that the appropriate repository is enabled.”

What version of Mate are you using ?

You could use Synaptic Package Manager or Ubuntu Software Center until you get your problem resolved.

Have you updated your system? Try doing it in terminal.

sudo apt update && sudo apt full-upgrade && reboot

Look for any errors.

using Mate 16.04 LTS just installed it a couple of days back.

actually i was able to solve the issue by going to SYSTEM-- SOFTWARE & UPDATES – and choosing download from Main Server instead of India Server which was pre selected as default so many of the apps were not available for download and install.

so all is well for now. thanks for your support guys, cheers!!